﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace VeterinaryDataModels.Models
{
    public interface IDrugModel : IId
    {
        string DrugName { get; }
        int Count { get; }
        double Price { get; }
        Dictionary<int, IMedicationModel> DrugMedications { get; }
		int DoctorId { get; }
		DateTime DateCreate { get; }
	}
}
